DH_NEW(3)

NAME
DH_new, DH_free - allocate and free DH objects

SYNOPSIS
 #include <openssl/dh.h>

 DH* DH_new(void);

 void DH_free(DH *dh);

DESCRIPTION
DH_new() allocates and initializes a DH structure.

DH_free() frees the DH structure and its components. The values are erased before the memory is returned to the system. If dh is NULL nothing is done.

RETURN VALUES
If the allocation fails, DH_new() returns NULL and sets an error code that can be obtained by ERR_get_error(3). Otherwise it returns a pointer to the newly allocated structure.

DH_free() returns no value.

SEE ALSO
DH_new(3), ERR_get_error(3), DH_generate_parameters(3), DH_generate_key(3)

COPYRIGHT
Copyright 2000-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.